:root {
    --text:#f2f2f2;
    --orange:orange;
    --darkgreen:green;
    --green:#00dd00;
    --yellow:yellow;
    --azure:#0167ff;
}

@font-face {
    font-family: 'Quicksand';
    src: url('font/Quicksand-Regular.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'Quicksand';
    src: url('font/Quicksand-Bold.ttf') format('truetype');
    font-weight: bold;
    font-style: normal;
}

* {
    box-sizing:border-box;
}
html, body {
    font-family: 'Quicksand';
    color:#f9f9f9;
    width:100%;
    height:100%;
    overflow:height;
    margin:0;
    padding:0;
    background:black;
    user-select: none; 
}
body {
    -webkit-touch-callout: none;
    -webkit-text-size-adjust: none;
    -webkit-user-select: none;
    position:relative;
    width:100vw;
    height:100vh;
}

h1 {
    font-size:2.5rem;
    line-height:1;
    margin:0;
    font-weight:normal;
}
h2 {
    font-size:1.5rem;
    font-weight:bold;
    line-height:1;
    margin:0;
}

#openingPage {
    width:100vw;
    height:100vh;
    display:flex;
    text-align:center;
    justify-content:center;
    align-items:center;
    flex-direction: column;
    gap:2rem;
    background:#000;
    z-index:99;
    position:absolute;
    top:0;
    left:0;
    overflow:hidden;
}

/* starting animation */
#loader {
    height:320px;
    width:320px;
    -webkit-mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='1080' height='1080' viewBox='0 0 1080 1080'%3E%3Cpath fill='%23fff' d='M948.73,310.11a806.1,806.1,0,0,1-83.12,283.51c-11.34,22.44-23.39,43.8-36,64.09a903.21,903.21,0,0,1-65.61,92.43c-18.1,22.42-36.39,43-54.31,61.58C620.1,905.05,540,951.11,540,951.11S210.36,761.53,140.07,372.5c-.12-.58-.22-1.15-.32-1.75q-5.28-29.55-8.48-60.64C401.86,142.48,540,128.89,540,128.89S678.14,142.48,948.73,310.11Z'/%3E%3C/svg%3E");
            mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='1080' height='1080' viewBox='0 0 1080 1080'%3E%3Cpath fill='%23fff' d='M948.73,310.11a806.1,806.1,0,0,1-83.12,283.51c-11.34,22.44-23.39,43.8-36,64.09a903.21,903.21,0,0,1-65.61,92.43c-18.1,22.42-36.39,43-54.31,61.58C620.1,905.05,540,951.11,540,951.11S210.36,761.53,140.07,372.5c-.12-.58-.22-1.15-.32-1.75q-5.28-29.55-8.48-60.64C401.86,142.48,540,128.89,540,128.89S678.14,142.48,948.73,310.11Z'/%3E%3C/svg%3E");

    -webkit-mask-position: center;
            mask-position: center;
    -webkit-mask-size: 320px 320px;
            mask-size: 320px 320px;
    -webkit-mask-repeat: no-repeat;
            mask-repeat: no-repeat;
            mask-mode: alpha;
    position:relative;
}
.shield {
    position:absolute;
    top:50%;
    left:50%;
    width:300px;
    height:300px;
    margin-top:-150px;
    margin-left:-150px;
    z-index:3;
}
.logo {
    position: absolute;
    top: 50%;
    left: 50%;
    margin-top: -70px;
    margin-left: -60px;
    width: 120px;
    height: auto;
    z-index: 4;
}
.cover {
    background-image: repeating-conic-gradient(#f2f2f2 0 72deg, #151515 72deg 144deg, #429742 144deg 216deg, #0167ff 216deg 288deg, #cf2626 288deg 360deg);
    filter: blur(1vw);
    z-index: 2;
    margin-top: -2vh;
    width: calc(100vh * 5);
    height: calc(100vh * 5);
    position:absolute;
    top:50%;
    left:50%;
    transform:translate(-50%, -50%);
    animation: rotating 15s linear infinite;
    animation-delay:1s;
}

footer {
    position:fixed;
    bottom:1rem;
    left:0;
    width:100%;
    text-align:center;
    padding-inline:4vw;
    line-height:1.3;
    font-size:0.8rem;
    font-weight:normal;
    color:#eee;
    z-index:99;

    span {
        display:inline-block;

        &.mycopy {
            display:block;
            margin-top:0.5rem;
        }
    }
}
@keyframes rotating {
  from {
    transform:translate(-50%, -50%) rotate(0deg);
  }
  to {
    transform:translate(-50%, -50%) rotate(360deg);
  }
}
